Daily engagement over a date range
GET
/api/public/v1/stats/snapshotsLiveAnswers from your brand's records now.
Deprecated. It keeps working; new code should use /content/series. See deprecations.
Operation id getStatsSnapshots
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/stats/snapshots?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string (date) | required Default 10/01/2025 |
| end_date | query | string (date) | required Default 11/14/2025 |
| limit | query | integer | Default 4 |
| campaign_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| success | boolean |
Example
{
"data": {},
"success": true
}Errors: 401with an error and usually a message. See errors.
Example values are made up from each field's type and name.